Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 24 Mar 2021 04:20:36 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I have placed order # 6280044247 on 4th March for pickup. I received order placement message but after that no update. I called 8001111629 on 12 March for update and they said its delay from delivery company. I requested to speed up the process as i have to travel. I went to receive order from branch today and came to know my order is cancelled already. I called 8001111629 and they told me order is in warehouse and i will receive email with details which is not received so far. Honestly, this was a very bad experience. I will travel out of kingdom on 14th evening so order will be of no use to me after that. I will have to buy those products from somewhere else if not delivered by MAX. 

It is request again to deliver my products to me by 14th March 6 pm maximum. 

I hope someone will take action on this email. 

I can be contacted at 00966583174206 or [email-masked] https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2241387